Module org.hsqldb
Package org.hsqldb.lib.tar

## Enum RB

- java.lang.Object
- - java.lang.Enum<RB>
  - - org.hsqldb.lib.tar.RB

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<RB>`, `RefCapableRBInterface`

      public enum RB
      extends java.lang.Enum<RB>
      implements RefCapableRBInterface

  Resource Bundle for Tar classes

  Purpose of this class is to wrap a RefCapablePropertyResourceBundle to reliably detect any possible use of a missing property key as soon as this class is clinitted. The reason for this is to allow us developers to detect all such errors before end-users ever use this class.

  IMPORTANT: To add a new ResourceBundle element, add two new lines, one like

          public static final int NEWKEYID = keyCounter++;

  and one line

            new Integer(KEY2), "key2",

  Both should be inserted right after all of the other lines of the same type. NEWKEYID is obviously a new constant which you will use in calling code like RB.NEWKEYID.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `bad_block_write_len` |
    `bad_header_value` |
    `bad_numeric_header_value` |
    `bpr_write` |
    `cant_overwrite` |
    `cant_write_dir` |
    `cant_write_parent` |
    `checksum_mismatch` |
    `cleanup_rmfail` |
    `compression_unknown` |
    `create_only_normal` |
    `data_changed` |
    `data_size_unknown` |
    `DbBackup_syntax` |
    `DbBackup_syntaxerr` |
    `decompression_ranout` |
    `dest_exists` |
    `dir_x_conflict` |
    `extraction_exists` |
    `extraction_exists_notfile` |
    `extraction_parent_mkfail` |
    `extraction_parent_not_dir` |
    `extraction_parent_not_writable` |
    `file_appeared` |
    `file_changed` |
    `file_disappeared` |
    `file_missing` |
    `header_field_missing` |
    `illegal_block_boundary` |
    `insufficient_read` |
    `listing_format` |
    `missing_supp_path` |
    `modified_property` |
    `move_work_file` |
    `no_parent_dir` |
    `nonfile_entry` |
    `pad_block_write` |
    `parent_create_fail` |
    `parent_not_dir` |
    `pif_data_toobig` |
    `pif_malformat` |
    `pif_malformat_size` |
    `pif_toobig` |
    `pif_unknown_datasize` |
    `read_denied` |
    `read_lt_1` |
    `stream_buffer_report` |
    `tar_field_toobig` |
    `TarGenerator_syntax` |
    `TarReader_syntax` |
    `tarreader_syntaxerr` |
    `unexpected_header_key` |
    `unsupported_entry_present` |
    `unsupported_ext` |
    `unsupported_mode` |
    `workfile_delete_fail` |
    `write_count_mismatch` |
    `write_queue_report` |
    `zero_write` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getExpandedString()` |
    `java.lang.String` | `getExpandedString​(java.lang.String... strings)` |
    `java.lang.String` | `getString()` |
    `java.lang.String` | `getString​(int i1)` |
    `java.lang.String` | `getString​(int i1, int i2)` |
    `java.lang.String` | `getString​(int i1, int i2, int i3)` |
    `java.lang.String` | `getString​(int i1, int i2, java.lang.String s3)` |
    `java.lang.String` | `getString​(int i1, java.lang.String s2)` |
    `java.lang.String` | `getString​(int i1, java.lang.String s2, int i3)` |
    `java.lang.String` | `getString​(int i1, java.lang.String s2, java.lang.String s3)` |
    `java.lang.String` | `getString​(java.lang.String... strings)` |
    `java.lang.String` | `getString​(java.lang.String s1, int i2)` |
    `java.lang.String` | `getString​(java.lang.String s1, int i2, int i3)` |
    `java.lang.String` | `getString​(java.lang.String s1, int i2, java.lang.String s3)` |
    `java.lang.String` | `getString​(java.lang.String s1, java.lang.String s2, int i3)` |
    `java.lang.String` | `toString()` |
    `static RB` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static RB[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DbBackup_syntax

          public static final RB DbBackup_syntax

    - #### DbBackup_syntaxerr

          public static final RB DbBackup_syntaxerr

    - #### TarGenerator_syntax

          public static final RB TarGenerator_syntax

    - #### pad_block_write

          public static final RB pad_block_write

    - #### cleanup_rmfail

          public static final RB cleanup_rmfail

    - #### TarReader_syntax

          public static final RB TarReader_syntax

    - #### unsupported_entry_present

          public static final RB unsupported_entry_present

    - #### bpr_write

          public static final RB bpr_write

    - #### stream_buffer_report

          public static final RB stream_buffer_report

    - #### write_queue_report

          public static final RB write_queue_report

    - #### file_missing

          public static final RB file_missing

    - #### modified_property

          public static final RB modified_property

    - #### file_disappeared

          public static final RB file_disappeared

    - #### file_changed

          public static final RB file_changed

    - #### file_appeared

          public static final RB file_appeared

    - #### pif_malformat

          public static final RB pif_malformat

    - #### pif_malformat_size

          public static final RB pif_malformat_size

    - #### zero_write

          public static final RB zero_write

    - #### pif_toobig

          public static final RB pif_toobig

    - #### read_denied

          public static final RB read_denied

    - #### compression_unknown

          public static final RB compression_unknown

    - #### insufficient_read

          public static final RB insufficient_read

    - #### decompression_ranout

          public static final RB decompression_ranout

    - #### move_work_file

          public static final RB move_work_file

    - #### cant_overwrite

          public static final RB cant_overwrite

    - #### cant_write_dir

          public static final RB cant_write_dir

    - #### no_parent_dir

          public static final RB no_parent_dir

    - #### bad_block_write_len

          public static final RB bad_block_write_len

    - #### illegal_block_boundary

          public static final RB illegal_block_boundary

    - #### workfile_delete_fail

          public static final RB workfile_delete_fail

    - #### unsupported_ext

          public static final RB unsupported_ext

    - #### dest_exists

          public static final RB dest_exists

    - #### parent_not_dir

          public static final RB parent_not_dir

    - #### cant_write_parent

          public static final RB cant_write_parent

    - #### parent_create_fail

          public static final RB parent_create_fail

    - #### tar_field_toobig

          public static final RB tar_field_toobig

    - #### missing_supp_path

          public static final RB missing_supp_path

    - #### nonfile_entry

          public static final RB nonfile_entry

    - #### read_lt_1

          public static final RB read_lt_1

    - #### data_changed

          public static final RB data_changed

    - #### unexpected_header_key

          public static final RB unexpected_header_key

    - #### tarreader_syntaxerr

          public static final RB tarreader_syntaxerr

    - #### unsupported_mode

          public static final RB unsupported_mode

    - #### dir_x_conflict

          public static final RB dir_x_conflict

    - #### pif_unknown_datasize

          public static final RB pif_unknown_datasize

    - #### pif_data_toobig

          public static final RB pif_data_toobig

    - #### data_size_unknown

          public static final RB data_size_unknown

    - #### extraction_exists

          public static final RB extraction_exists

    - #### extraction_exists_notfile

          public static final RB extraction_exists_notfile

    - #### extraction_parent_not_dir

          public static final RB extraction_parent_not_dir

    - #### extraction_parent_not_writable

          public static final RB extraction_parent_not_writable

    - #### extraction_parent_mkfail

          public static final RB extraction_parent_mkfail

    - #### write_count_mismatch

          public static final RB write_count_mismatch

    - #### header_field_missing

          public static final RB header_field_missing

    - #### checksum_mismatch

          public static final RB checksum_mismatch

    - #### create_only_normal

          public static final RB create_only_normal

    - #### bad_header_value

          public static final RB bad_header_value

    - #### bad_numeric_header_value

          public static final RB bad_numeric_header_value

    - #### listing_format

          public static final RB listing_format

  - ### Method Detail

    - #### values

          public static RB[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RB c : RB.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RB valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getString

          public java.lang.String getString()

      Specified by:
        `getString` in interface `RefCapableRBInterface`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<RB>`

    - #### getExpandedString

          public java.lang.String getExpandedString()

      Specified by:
        `getExpandedString` in interface `RefCapableRBInterface`

    - #### getExpandedString

          public java.lang.String getExpandedString​(java.lang.String... strings)

      Specified by:
        `getExpandedString` in interface `RefCapableRBInterface`

    - #### getString

          public java.lang.String getString​(java.lang.String... strings)

      Specified by:
        `getString` in interface `RefCapableRBInterface`

    - #### getString

          public java.lang.String getString​(int i1)

      Specified by:
        `getString` in interface `RefCapableRBInterface`

    - #### getString

          public java.lang.String getString​(int i1,
                                            int i2)

      Specified by:
        `getString` in interface `RefCapableRBInterface`

    - #### getString

          public java.lang.String getString​(int i1,
                                            int i2,
                                            int i3)

      Specified by:
        `getString` in interface `RefCapableRBInterface`

    - #### getString

          public java.lang.String getString​(int i1,
                                            java.lang.String s2)

      Specified by:
        `getString` in interface `RefCapableRBInterface`

    - #### getString

          public java.lang.String getString​(java.lang.String s1,
                                            int i2)

      Specified by:
        `getString` in interface `RefCapableRBInterface`

    - #### getString

          public java.lang.String getString​(int i1,
                                            int i2,
                                            java.lang.String s3)

      Specified by:
        `getString` in interface `RefCapableRBInterface`

    - #### getString

          public java.lang.String getString​(int i1,
                                            java.lang.String s2,
                                            int i3)

      Specified by:
        `getString` in interface `RefCapableRBInterface`

    - #### getString

          public java.lang.String getString​(java.lang.String s1,
                                            int i2,
                                            int i3)

      Specified by:
        `getString` in interface `RefCapableRBInterface`

    - #### getString

          public java.lang.String getString​(int i1,
                                            java.lang.String s2,
                                            java.lang.String s3)

      Specified by:
        `getString` in interface `RefCapableRBInterface`

    - #### getString

          public java.lang.String getString​(java.lang.String s1,
                                            java.lang.String s2,
                                            int i3)

      Specified by:
        `getString` in interface `RefCapableRBInterface`

    - #### getString

          public java.lang.String getString​(java.lang.String s1,
                                            int i2,
                                            java.lang.String s3)

      Specified by:
        `getString` in interface `RefCapableRBInterface`